.shadow(@background) {
  @is-lighten-than-50: (if((lightness(@background) > 50%), true, false));
  @highlight-color: (if((@is-lighten-than-50), lighten(@background, 10%), lighten(@background, 50%)));
  @dark-color: darken(@background, 30%);
  border-color: @highlight-color @dark-color @dark-color @highlight-color;
  background: @background;
  color: (if((@is-lighten-than-50), black, white));
}

.button{
  font-size: 2rem;
  border-width: 4px;
  .shadow(blue);
}

.round-button{
  &:extend(.button);
  border-radius: 1em;
}
